@charset "utf-8";

/****************************
＊探索拠点用CSS [メインルーム]
Author&copyright:@skrige

ClipChat(cc.428.net)さんところのルームテキスト用CSSです。
http://kn-t.jp/ikki/cc/styles/base.cssとセットでご利用ください。

ClipChat内での利用であれば自由に利用できます。
改造は自己責任でお願いします。ないしアイデア貰えれば検討するかも。

*****************************/

/***ページ全体***/
/* 読みづらい対策 */
.talkarea{
    text-shadow:
		0 0 1em #000,
		0 0 0.8em #000,
		0 0 0.5em #000,
		0 0 1px #000,
		0 0 0.40px #000;
	background:rgba(0,0,0,0.65) !important;
}

/* タグを装飾する*************************/
.tag{
}
.tag:hover{
}
/* ルームリンクをボタン化する */
.roomtext a.tag{
  position:relative
  cursor: pointer;
  display: inline-block;
  padding: 0.5em 1em;
  font-weight: bold;
  margin: 0 auto 0.4em;
  position: relative;
  text-decoration: none;
  text-transform: uppercase;
  vertical-align: middle;
  text-shadow: none;
  border: 1px solid rgba(255,255,255,0.6);
  box-shadow: inset 0 0 20px rgba(255, 255, 255, 0);
  outline: 1px solid;
  outline-color: rgba(255, 255, 255, 0);
  outline-offset: 15px;
  -webkit-transition: all 1250ms cubic-bezier(0.19, 1, 0.22, 1);
  transition: all 1250ms cubic-bezier(0.19, 1, 0.22, 1);
}
.roomtext a.tag:hover{
  text-decoration: none;
  border: 1px solid rgba(46, 204, 113,1.0);
  outline-color: rgba(255, 255, 255, 0.5);
  outline-offset: 0px;
  box-shadow: inset 0 0 20px rgba(255, 255, 255, 0.5), 0 0 20px rgba(255, 255, 255, 0.2);

}
.roomtext a.tag:after,.roomtext a.tag:before{
  pointer-events : none;
  position:absolute;
  width:150px;
  height:150px;
  top:0;
  right:0;
  bottom:0;
  left:0;
  margin:auto;
  transform:scale(2.0,2.0);
  opacity:0.0;
  transition: all 500ms ease-in;
  content:"";
}
.roomtext a.tag:after{
  background-image:url(../greenring.png);
  animation: spin 22s linear infinite;
}
.roomtext a.tag:before{
  background-image:url(../greenring2.png);
  animation: spin 14s linear infinite;
}

.roomtext a.tag:hover:before{
 transition: all 2000ms ease-out;
 transform:scale(0.5,0.5);
 opacity:0.6;
}
.roomtext a.tag:hover:after{ 
 transition: all 500ms ease-out;
 transform:scale(0.8,0.8);
 opacity:0.8;
 }
 .roomtext a.tag:active:before,.roomtext a.tag:active:after{
  transform scale(2.0,2.0);
  opacity:0.0;
  transition: all 800ms ease-in;
}
@keyframes spin {
	0% {transform: rotate(0deg);}
	100% {transform: rotate(360deg);}
}
/* 少し白い背景のボックス */
div.y_nakami {
background:rgba(255,255,255,0.4);
border:1px solid rgba(0,0,0,0.4);
}

/* 折りたたみボックス******************************************/

/* 見た目：見出し部 */
label.y_midashi {
  font-weight: bold;
  background: RGBA(0,0,0,0.2);
  color: #fff;
  line-heght:1.2em;
  padding:0.4em 2em;
  display: block;
  margin: 0;
  border: 1px solid #fff;
  cursor: pointer;
  transition-property:background;
  transition-duration:0.5s;
  transition-timing-function:ease;
}
label.y_midashi:before {
	content:"▼ ";
}
/* 見た目：見出し部：カーソル乗せた時*/
label.y_midashi:hover {
  background: RGBA(0,0,0,0.6);
  padding:0.4em 2em;
}
label.y_midashi:hover:before {
	content:"▽ ";
}

/*ツールチップ表示*****************************************/
tip{
    border-bottom:dashed 1px #555;    /* 下線を引く */
}
tip:after{
	display: inline-block;
	font-size:8pt;
	transform: scale( 1.2 , 1 );
	content:"⍰";
}
/* マウスオーバー時にツールチップを表示 */
tip:hover tiptext {
    top:102%;
    font-size: 80%;
    color: #fff;
    background-color: #51A2C1;
    width: 25em;
    padding: 0.8em;
    border-radius:3px;
}

/* テーブル作成*****************************/
table.list {
	border-collapse: separate;
}
table.list th {
	color:white;
	background: black;
	text-align:center;
}

table.list tr:nth-child(2n+1) { /*奇数行のスタイル*/
	background: rgba(51,51,153,0.2);
}
table.list tr:nth-child(2n) { /*偶数行のスタイル*/
	background: rgba(ｖ51,51,153,0.1);
}

/* 背景編集 ****************************************/
html{ /*ページ全体*/
/*
 background-image:url(http://kn-t.jp/ikki/cc/snow1.png),url(http://kn-t.jp/ikki/cc/snow1.png),url(http://cc.428.st/haikei2.png) !important;
 background-position:top left,top right,0% 0%;
 background-repeat:repeat,repeat,repeat,repeat;
 background-attachment: scroll,fixed,scroll;
*/
}

div .content{ /*メインカラム */
/* background-image:url(http://kn-t.jp/ikki/cc/xmas_bg.png),url(http://kn-t.jp/ikki/cc/xmas_bg.png),url(http://cc.428.st/white15.png) !important;
 background-position:top left,bottom left,0% 0%;
 background-repeat:repeat-x,repeat-x,repeat;
 background-attachment: scroll,scroll,scroll;
*/
}


